import { motion } from 'framer-motion';
import React from 'react';
import ProgressIndicator from "./ProgressIndicator";

const PlanElement = (props: {
  trainIdentifier: string,
  trainHeading: string,
  stops: {
    time: string,
    delay?: number,
    name: string
  }[]
}) => {
  return (
    <div>
      <div className={"flex flex-row gap-4 items-center font-semibold"}>
        <div className={"flex justify-center items-center bg-green-700 text-lg h-8 w-16 leading-none"}>
          {props.trainIdentifier}
        </div>
        <h3 className={"text-xl"}>
          {props.trainHeading}
        </h3>
      </div>


      <motion.ol role="list" className="overflow-hidden"  aria-hidden="true">
        <ProgressIndicator first={true} id={"a"} name={"Meitnerweg"} arrival={new Date("Mon Jul 17 2023 23:56:56 GMT+0200 (Central European Summer Time)")}/>
        <ProgressIndicator id={"b"} name={"Dortmund Universität S"} arrival={new Date("Mon Jul 17 2023 23:57:07 GMT+0200 (Central European Summer Time)")}/>
      </motion.ol>
    </div>
  );
};

export default PlanElement;
